Subject: RE: DNSEXT WGLC: RFC2536bis and RFC2539bis (draft-ietf-dnsext-rfc 2539bis-dhk-06.txt)

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Tue, 27 Dec 2005 11:13:24 -0500

I support this document with the following changes:

1. The changes indicated below in the message from Mark Andrews;

2. With nits, as appended to the end of this message, fixed; and

3. Addition of Appendix material which would incorporate by reference and assign DH key RR identifiers for the five additional well known Diffie-Hellman groups documented in standards track RFC 3526 "More Modular Exponential (MODP) Diffie-Hellman groups for Internet Key Exchange (IKE)"

The purpose of this draft is to update the security RR and other references in the old RFC 2539 and to include additional well known Diffie-Hellman groups.

(You can see a wdiff of this draft with the RFC it updates at http://www.pothole.com/~dee3/.)

Thanks,
Donald
 =========================================================
 Donald E. Eastlake III       [email-masked]
 Motorola Laboratories              +1-508-786-7554 (work)
 111 Locke Drive                    +1-508-634-2066 (home)
 Marlboro, MA 01752 USA

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Andrews
Sent: Tuesday, December 13, 2005 8:31 PM
Cc: [email-masked]
Subject: Re: DNSEXT WGLC: RFC2536bis and RFC2539bis 

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2539bis-dhk-06.txt

	Section 2 you dropped the description of the first 4 octets of the
	KEY record but you left them in the diagram.  I would suggest that
	they be removed from the diagram.

http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2536bis-dsa-06.txt
http://www.ietf.org/internet-drafts/draft-ietf-dnsext-rfc2539bis-dhk-06.txt

	Both need a section describing the change from the RFC's they
	are obsoleting.

	Something stating that it doesn't change the wire format of KEY
	RR's it mearly extends the use to also cover DNSKEY.
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

idnits 1.84 

tmp/draft-ietf-dnsext-rfc2539bis-dhk-05.txt:

  Checking nits according to http://www.ietf.org/ID-Checklist.html:
    
    Checking conformance with RFC 3978/3979 boilerplate...

  * The document seems to lack an RFC 3978 Section 5.1 IPR Disclosure
    Acknowledgement -- however, there's a paragraph with a matching beginning.
    Boilerplate error?
  * The document seems to lack an RFC 3978 Section 5.4 Reference to BCP 78. 
  * The document seems to lack an RFC 3979 Section 5, para 1 IPR Disclosure
    Acknowledgement. 
  * The document seems to lack an RFC 3979 Section 5, para 2 IPR Disclosure
    Acknowledgement. 
  * The document seems to lack an RFC 3979 Section 5, para 3 IPR Disclosure
    Invitation. 
  * The document uses RFC 3667 boilerplate or RFC 3978-like boilerplate
    instead of verbatim RFC 3978 boilerplate.  After 6 May 2005, submission of
    drafts without verbatim RFC 3978 boilerplate is not accepted.

    The following non-3978 patterns matched text found in the document. 
    That text should be removed or replaced:

    "By submitting this Internet-Draft, I certify that any applicable
    patent or other IPR claims of which I am aware have been disclosed,
    or will be disclosed, and any of which I become aware will be
    disclosed, in accordance with RFC 3668."

  * There is 1 instance of too long lines in the document, the longest one
    being 1 character in excess of 72.

  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
  * The document seems to lack a 1id_guidelines paragraph about 6 months
    document validity -- however, there's a paragraph with a matching beginning.
    Boilerplate error?

  Miscellaneous warnings:
  - The "Author's Address" (or "Authors' Addresses") section title is
    misspelled.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>